
package com.heuristiclab.okb.wsclient.admin;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Algorithm complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Algorithm">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Administration.DataTransfer}NamedOKBItem">
 *       &lt;sequence>
 *         &lt;element name="AlgorithmClassId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *         &lt;element name="DataTypeName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="DataTypeTypeName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="PlatformId" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Algorithm", namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Administration.DataTransfer", propOrder = {
    "algorithmClassId",
    "dataTypeName",
    "dataTypeTypeName",
    "platformId"
})
public class Algorithm
    extends NamedOKBItem
{

    @XmlElement(name = "AlgorithmClassId")
    protected Long algorithmClassId;
    @XmlElementRef(name = "DataTypeName", namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Administration.DataTransfer", type = JAXBElement.class)
    protected JAXBElement<String> dataTypeName;
    @XmlElementRef(name = "DataTypeTypeName", namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Administration.DataTransfer", type = JAXBElement.class)
    protected JAXBElement<String> dataTypeTypeName;
    @XmlElement(name = "PlatformId")
    protected Long platformId;

    /**
     * Gets the value of the algorithmClassId property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getAlgorithmClassId() {
        return algorithmClassId;
    }

    /**
     * Sets the value of the algorithmClassId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setAlgorithmClassId(Long value) {
        this.algorithmClassId = value;
    }

    /**
     * Gets the value of the dataTypeName property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getDataTypeName() {
        return dataTypeName;
    }

    /**
     * Sets the value of the dataTypeName property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setDataTypeName(JAXBElement<String> value) {
        this.dataTypeName = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the dataTypeTypeName property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getDataTypeTypeName() {
        return dataTypeTypeName;
    }

    /**
     * Sets the value of the dataTypeTypeName property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setDataTypeTypeName(JAXBElement<String> value) {
        this.dataTypeTypeName = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the platformId property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPlatformId() {
        return platformId;
    }

    /**
     * Sets the value of the platformId property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPlatformId(Long value) {
        this.platformId = value;
    }

}
